# Delegation

Manage tenant delegation access rights.

## Get Delegation

 - [GET /tenants/delegations/{delegationId}](https://docs.ruckus.cloud/api/ptenant-0.3.0/delegation/getdelegation.md): Get delegation by ID.

## Respond to Delegation

 - [PUT /tenants/delegations/{delegationId}](https://docs.ruckus.cloud/api/ptenant-0.3.0/delegation/acceptorrejectdelegation.md): A VAR uses this endpoint to respond to a delegation invitation; the response is either accept or reject.

## Revoke VAR Delegation

 - [DELETE /tenants/delegations/{delegationId}](https://docs.ruckus.cloud/api/ptenant-0.3.0/delegation/deletedelegation.md): Revoke VAR delegation by ID.

## Grant Access

 - [POST /tenants/supportDelegations](https://docs.ruckus.cloud/api/ptenant-0.3.0/delegation/invitesupport.md): Grant RUCKUS customer support access to my account.

## Revoke Access

 - [DELETE /tenants/supportDelegations](https://docs.ruckus.cloud/api/ptenant-0.3.0/delegation/deletesupportdelegation.md): Revoke RUCKUS customer support's access to my account.

## Get Delegations

 - [GET /tenants/delegations](https://docs.ruckus.cloud/api/ptenant-0.3.0/delegation/getdelegations.md): Get delegation list for the authenticated tenant.

## Invite VAR

 - [POST /tenants/delegations](https://docs.ruckus.cloud/api/ptenant-0.3.0/delegation/invitevar.md): Send invitation to VAR (aka delegate) to manage my account.This operation is not supported using client credentials.

